AbstractInterceptorProvidingDataBinding (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.databinding, class: AbstractInterceptorProvidingDataBinding

Package org.apache.cxf.databinding

# Class AbstractInterceptorProvidingDataBinding

java.lang.Object
org.apache.cxf.databinding.AbstractDataBinding
org.apache.cxf.databinding.AbstractInterceptorProvidingDataBinding

All Implemented Interfaces:
  `DataBinding`, `InterceptorProvider`

Direct Known Subclasses:
  `StaxDataBinding`

public abstract class AbstractInterceptorProvidingDataBinding extends AbstractDataBinding implements InterceptorProvider

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>>`
  `inFaultInterceptors`
  `protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>>`
  `inInterceptors`
  `protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>>`
  `outFaultInterceptors`
  `protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>>`
  `outInterceptors`

  ### Fields inherited from class org.apache.cxf.databinding.AbstractDataBinding

  `mtomEnabled, mtomThreshold`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractInterceptorProvidingDataBinding()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Interceptor<? extends Message>>`
  `getInFaultInterceptors()`
  Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getInInterceptors()`
  Returns the list of interceptors attached to the incoming interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getOutFaultInterceptors()`
  Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getOutInterceptors()`
  Returns the list of interceptors attached to the outgoing interceptor chain of the object.

  ### Methods inherited from class org.apache.cxf.databinding.AbstractDataBinding

  `addSchemaDocument, addSchemaDocument, checkNamespaceMap, getBus, getContextualNamespaceMap, getDeclaredNamespaceMappings, getMtomThreshold, getNamespaceMap, getSchemas, isMtomEnabled, setBus, setContextualNamespaceMap, setMtomEnabled, setMtomThreshold, setNamespaceMap, setSchemas, updateSchemaLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cxf.databinding.DataBinding

  `createReader, createWriter, getSupportedReaderFormats, getSupportedWriterFormats, initialize`

- ## Field Details

  - ### inInterceptors

    protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>> inInterceptors

  - ### outInterceptors

    protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>> outInterceptors

  - ### outFaultInterceptors

    protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>> outFaultInterceptors

  - ### inFaultInterceptors

    protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>> inFaultInterceptors

- ## Constructor Details

  - ### AbstractInterceptorProvidingDataBinding

    public AbstractInterceptorProvidingDataBinding()

- ## Method Details

  - ### getInInterceptors

    public List<Interceptor<? extends Message>> getInInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the incoming interceptor chain of the object.
    Specified by:
      `getInInterceptors` in interface `InterceptorProvider`
    Returns:
      `List` incoming interceptor chain

  - ### getOutInterceptors

    public List<Interceptor<? extends Message>> getOutInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the outgoing interceptor chain of the object.
    Specified by:
      `getOutInterceptors` in interface `InterceptorProvider`
    Returns:
      `List` outgoing interceptor chain

  - ### getInFaultInterceptors

    public List<Interceptor<? extends Message>> getInFaultInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
    Specified by:
      `getInFaultInterceptors` in interface `InterceptorProvider`
    Returns:
      `List` incoming fault interceptor chain

  - ### getOutFaultInterceptors

    public List<Interceptor<? extends Message>> getOutFaultInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
    Specified by:
      `getOutFaultInterceptors` in interface `InterceptorProvider`
    Returns:
      `List` outgoing fault interceptor chain